Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_SHMIOP_Transport Class Reference

Specialization of the base TAO_Transport class to handle the SHMIOP protocol. More...

`#include <SHMIOP_Transport.h>`

Inheritance diagram for TAO_SHMIOP_Transport:

[legend]
Collaboration diagram for TAO_SHMIOP_Transport:

[legend]
List of all members.

## Public Methods
| TAO_SHMIOP_Transport (TAO_SHMIOP_Connection_Handler *handler, TAO_ORB_Core *orb_core, CORBA::Boolean flag)
| Constructor.
| ~TAO_SHMIOP_Transport (void)
| Default destructor.
virtual int | send_request (TAO_Stub *stub, TAO_ORB_Core *orb_core, TAO_OutputCDR &stream, int message_semantics, ACE_Time_Value *max_wait_time)
virtual int | send_message (TAO_OutputCDR &stream, TAO_Stub *stub=0, int message_semantics=TAO_Transport::TAO_TWOWAY_REQUEST, ACE_Time_Value *max_time_wait=0)
virtual int | messaging_init (CORBA::Octet major, CORBA::Octet minor)
| Initialising the messaging object.
## Protected Methods
Overridden Template Methods
These are implementations of template methods declared by TAO_Transport.
virtual ACE_Event_Handler * | event_handler_i (void)
virtual TAO_Connection_Handler * | connection_handler_i (void)
virtual TAO_Pluggable_Messaging * | messaging_object (void)
virtual ssize_t | send (iovec *iov, int iovcnt, size_t &bytes_transferred, const ACE_Time_Value *timeout=0)
| Write the complete Message_Block chain to the connection.
virtual ssize_t | recv (char *buf, size_t len, const ACE_Time_Value *s=0)
| Read len bytes from into buf.
virtual int | consolidate_message (ACE_Message_Block &incoming, ssize_t missing_data, TAO_Resume_Handle &rh, ACE_Time_Value *max_wait_time)
## Private Attributes
TAO_SHMIOP_Connection_Handler * | connection_handler_
TAO_Pluggable_Messaging * | messaging_object_
| Our messaging object.

## Detailed Description

Specialization of the base TAO_Transport class to handle the SHMIOP protocol.

## Constructor & Destructor Documentation

TAO_SHMIOP_Transport::TAO_SHMIOP_Transport | ( | TAO_SHMIOP_Connection_Handler * | handler,
|  | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag
| ) |

| Constructor.

TAO_SHMIOP_Transport::~TAO_SHMIOP_Transport | ( | void |  | ) |

| Default destructor.

## Member Function Documentation

TAO_Connection_Handler * TAO_SHMIOP_Transport::connection_handler_i | ( | void |  | ) | `[protected, virtual]`

| Implements TAO_Transport.

int TAO_SHMIOP_Transport::consolidate_message | ( | ACE_Message_Block & | incoming,
|  | ssize_t | missing_data,
|  | TAO_Resume_Handle & | rh,
|  | ACE_Time_Value * | max_wait_time
| ) | `[protected, virtual]`

| Reimplemented from TAO_Transport.

ACE_Event_Handler * TAO_SHMIOP_Transport::event_handler_i | ( | void |  | ) | `[protected, virtual]`

| Implements TAO_Transport.

int TAO_SHMIOP_Transport::messaging_init | ( | CORBA::Octet | major,
|  | CORBA::Octet | minor
| ) | `[virtual]`

| Initialising the messaging object. Implements TAO_Transport.

TAO_Pluggable_Messaging * TAO_SHMIOP_Transport::messaging_object | ( | void |  | ) | `[protected, virtual]`

| Implements TAO_Transport.

ssize_t TAO_SHMIOP_Transport::recv | ( | char * | buf,
|  | size_t | len,
|  | const ACE_Time_Value * | s = 0
| ) | `[protected, virtual]`

| Read len bytes from into buf. Implements TAO_Transport.

ssize_t TAO_SHMIOP_Transport::send | ( | iovec * | iov,
|  | int | iovcnt,
|  | size_t & | bytes_transferred,
|  | const ACE_Time_Value * | timeout = 0
| ) | `[protected, virtual]`

| Write the complete Message_Block chain to the connection. Implements TAO_Transport.

int TAO_SHMIOP_Transport::send_message | ( | TAO_OutputCDR & | stream,
|  | TAO_Stub * | stub = 0,
|  | int | message_semantics = TAO_Transport::TAO_TWOWAY_REQUEST,
|  | ACE_Time_Value * | max_time_wait = 0
| ) | `[virtual]`

| Implements TAO_Transport.

int TAO_SHMIOP_Transport::send_request | ( | TAO_Stub * | stub,
|  | TAO_ORB_Core * | orb_core,
|  | TAO_OutputCDR & | stream,
|  | int | message_semantics,
|  | ACE_Time_Value * | max_wait_time
| ) | `[virtual]`

| Todo: These methods IMHO should have more meaningful names. The names seem to indicate nothing. Implements TAO_Transport.

## Member Data Documentation

TAO_SHMIOP_Connection_Handler* TAO_SHMIOP_Transport::connection_handler_`[private]`

| The connection service handler used for accessing lower layer communication protocols.

TAO_Pluggable_Messaging* TAO_SHMIOP_Transport::messaging_object_`[private]`

| Our messaging object.

The documentation for this class was generated from the following files:

- SHMIOP_Transport.h
- SHMIOP_Transport.cpp